LogicalOperator (EasyMock 2.5 API)
Date: 2009-05-24

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.easymock
Enum LogicalOperator

    java.lang.Object
      java.lang.Enum<LogicalOperator>
          org.easymock.LogicalOperator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LogicalOperator>

    public enum LogicalOperator

extends java.lang.Enum<LogicalOperator>

See `EasyMock.cmp(T, java.util.Comparator, org.easymock.LogicalOperator)`

Enum Constant Summary
`EQUAL`
`GREATER`
`GREATER_OR_EQUAL`
`LESS_OR_EQUAL`
`LESS_THAN`

Method Summary
`java.lang.String` | `getSymbol()`
`abstract boolean` | `matchResult(int result)`
`static LogicalOperator` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LogicalOperator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LESS_THAN

    public static final LogicalOperator LESS_THAN

### LESS_OR_EQUAL

    public static final LogicalOperator LESS_OR_EQUAL

### EQUAL

    public static final LogicalOperator EQUAL

### GREATER_OR_EQUAL

    public static final LogicalOperator GREATER_OR_EQUAL

### GREATER

    public static final LogicalOperator GREATER

Method Detail

### values

    public static LogicalOperator[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LogicalOperator c : LogicalOperator.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LogicalOperator valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getSymbol

    public java.lang.String getSymbol()

### matchResult

    public abstract boolean matchResult(int result)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2009 OFFIS, Tammo Freese, Henri Tremblay. This documentation is provided under the terms of the MIT licence.